Bug 201669 - IRQ 9 disabled on resume on macbook
IRQ 9 disabled on resume on macbook
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 199990
  Show dependency treegraph
 
Reported: 2006-08-07 23:35 EDT by Wade Mealing
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-24 02:35:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of dmesg when pm-suspend command is issued. (18.70 KB, application/octet-stream)
2006-08-09 20:08 EDT, Wade Mealing
no flags Details

  None (edit)
Description Wade Mealing 2006-08-07 23:35:20 EDT
Description of problem:

After resuming from suspend, a message is printed to syslog about IRQ 9 being
disabled.


Version-Release number of selected component (if applicable):

Linux localhost.localdomain 2.6.17-1.2505.fc6 #1 SMP Tue Aug 1 19:52:56 EDT 2006
i686 i686 i386 GNU/Linux

How reproducible:

Ever time


Steps to Reproduce:
1. Cold boot the system
2. run the command pm-suspend or click on g-p-m suspend. 
  
Actual results:

Note that it resumes, but irq 9 is disabled, ACPI events no longer work.


Expected results:

ACPI events to continue to function.


Additional info:

Chris Blizzard is also getting this same problem.  Will attach system logs tonight.
Comment 1 Christopher Blizzard 2006-08-09 16:45:10 EDT
System logs?
Comment 2 Wade Mealing 2006-08-09 19:45:16 EDT
I will attach the systems log files (with exact errors).  Apologies if that came
across wrong Christopher.
Comment 3 Wade Mealing 2006-08-09 20:08:11 EDT
Created attachment 133895 [details]
output of dmesg when pm-suspend command is issued.
Comment 4 Wade Mealing 2006-08-09 20:20:56 EDT
I would attach it when irqpoll was enabled, but it seems my keyboard and mouse
fail to work when irqpoll is a kernel parameter.
Comment 5 Christopher Blizzard 2006-08-09 22:54:58 EDT
No, I was just pinging you about the system logs.
Comment 6 Wade Mealing 2006-08-20 22:59:22 EDT
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=5603509137940f4cbc577281cee62110d4097b1b

Seems to have the fix,

I'm going to try this tonight.
Comment 7 Wade Mealing 2006-10-16 01:08:50 EDT
So much more broken, the current kernel can't resume from a suspend. Nothing
comes back.. fun.

2.6.18-1.2726.fc6
Comment 8 Wade Mealing 2006-10-24 22:16:21 EDT
The machine still does not resume with FC6 final, I wasn't expecting it to, just
thought that maybe it should be known, so that someone else knows the status of
this bug.

Comment 9 Wade Mealing 2007-02-24 02:34:26 EST
WOOT! 

The machine suspends and resumes with the FC7T1 kernel (the only difference),
I'll assume this is fixed.

Note You need to log in before you can comment on or make changes to this bug.